#
# spec file for package aps (Version 1.8.SuSE)
# 
# Copyright  (c)  2002  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  a2ps dialog ghostscript-library ghostscript-serv libpng xf86
# usedforbuild    a2ps aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs dialog diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext ghostscript-library ghostscript-serv glibc glibc-devel gpm gppshare grep groff gzip kbd less libpng libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         aps
Copyright:    1995 Andreas Klemm, Thomas Bueschgens, 1996-2000 SuSE-GmbH
Group:        Utilities/Printing
Provides:     aps-23 aps-481 susefilter 
Requires:     a2ps file fileutils textutils gawk dialog netpbm jpeg transfig g3utils html2ps groff print_daemon ghostscript_any
Autoreqprov:  on
Summary:      The ultimate printer filter
Version:      1.8.SuSE
Release:      307
Source0: susefilter-1.8.tar.gz
Patch:   susefilter-1.8.dif
BuildRoot: /var/tmp/aps-root

%description
This printer filter lets you print arbitrary files on your printer.
The file type is recognized automatically. When needed ghostscript is
run to print PostScript files on non-PostScript printers.
In order to configure the filter, start YaST in your installed system.
Choose "System administration" in the main menu, then "Integrate hardware
into system", and finally "Configure printers". Fill out the mask, and YaST
will configure apsfilter for you.
The conventional SETUP of apsfilter is sure available as
/var/lib/apsfilter/SETUP
This revised script uses the program dialog to make the
usage more easier for you. The documentation of this version
of apsfilter revised by SuSE is placed in /usr/share/doc/packages/apsfilter/.

Authors:
--------
    Werner Fink <werner@suse.de>
    Andreas Klemm <andreas@knobel.gun.de>
    Thomas Bueschgens <sledge@hammer.oche.de>

SuSE series: ap

%prep
%setup -n susefilter-1.8
%patch

%build
xmkmf -a
make APSBASE=/var/lib/apsfilter
bash makeresol > resolutions

%install
#
APSBASE=/var/lib/apsfilter
 OLDAPS=/usr/lib/apsfilter
DESTDIR="$RPM_BUILD_ROOT"
%define documents COPYRIGHT README.first README LIESMICH VERSION OPTIONS ChangeLog
#
rm -rf $RPM_BUILD_ROOT
#
make install     DESTDIR=$DESTDIR APSBASE=$APSBASE
make install.man DESTDIR=$DESTDIR APSBASE=$APSBASE
install -c -m 0444 resolutions  ${DESTDIR}/${APSBASE}
rm -rf ${DESTDIR}${APSBASE}/doc
ln -sf %{_docdir}/aps/doc ${DESTDIR}${APSBASE}/doc
chmod 444 %{documents}
mkdir -p ${DESTDIR}${OLDAPS}/bin
mkdir -p ${DESTDIR}${OLDAPS}/filter
mkdir -p ${DESTDIR}/usr/sbin
ln -sf %{_docdir}/aps/README.first ${DESTDIR}${OLDAPS}/README
ln -sf ${APSBASE}/apsfilter   ${DESTDIR}${OLDAPS}/bin/apsfilter
ln -sf ${APSBASE}/SETUP       ${DESTDIR}${OLDAPS}/SETUP
ln -sf ${APSBASE}/SETUP       ${DESTDIR}${OLDAPS}/bin/SETUP
ln -sf ${APSBASE}/SETUP       ${DESTDIR}/usr/sbin/lprsetup
mkdir -p    ${DESTDIR}/var/spool/lpd
chown lp.lp ${DESTDIR}/var/spool/lpd
#
#

%clean
rm -rf $RPM_BUILD_ROOT

%pre
test -e etc/apsfilterrc || exit 0
mkdir -p var/adm/notify/messages
cat > var/adm/notify/messages/aps-changes <<-EOF
	Hi,
	   the default configuration of the apsfilter for ASCII
	printing has changed for SuSE Linux 6.2 (1999-07-19).
	Most new Linux users expect that the printing system puts
	one page on one sheet of paper.  Therefore the default
	value of the variable FEATURE has been changed from 2n to
	1n. To get the old behavior you may change the variable
	FEATURE in /etc/apsfilterrc.
EOF

%post
test $# -gt 0 || rm -rf var/lib/apsfilter/doc
test -e var/lib/apsfilter/doc || ln -sf /usr/share/doc/packages/aps/doc var/lib/apsfilter/doc

%triggerpostun -- aps < 1.8.SuSE
rm -rf  var/lib/apsfilter/doc
test -e var/lib/apsfilter/doc || ln -sf /usr/share/doc/packages/aps/doc var/lib/apsfilter/doc

%files
%doc doc %{documents}
/usr/bin/novell_print
/usr/bin/samba_print
/usr/sbin/lprsetup
%dir /var/lib/apsfilter/
/var/lib/apsfilter/apsfilter
/var/lib/apsfilter/SETUP
/var/lib/apsfilter/apsfilter.setup
/var/lib/apsfilter/rewindstdin
/var/lib/apsfilter/unpjl
/var/lib/apsfilter/readn
/var/lib/apsfilter/filter/
/var/lib/apsfilter/handler/
/var/lib/apsfilter/template/
/var/lib/apsfilter/preloads/
/var/lib/apsfilter/tests/
/var/lib/apsfilter/unpack/
%ghost /var/lib/apsfilter/doc
%dir /var/lib/apsfilter/bin/
/var/lib/apsfilter/resolutions
/usr/bin/testlp
%dir /usr/lib/apsfilter/
%dir /usr/lib/apsfilter/bin/
/usr/lib/apsfilter/bin/apsfilter
/usr/lib/apsfilter/bin/SETUP
/usr/lib/apsfilter/SETUP
%dir /usr/lib/apsfilter/filter/
/usr/lib/apsfilter/README

%changelog -n aps
* Tue Dec 18 2001 - werner@suse.de
- Fix determining of grep version numbers (#12136)
- Workaround fo broken resolution scanner of pnmtops (#12591)
* Wed Sep 12 2001 - werner@suse.de
- Add grace filter contributed by Andy Thaller
* Fri Aug 31 2001 - werner@suse.de
- Use RC_LANG and hold DEFAULT_LANGUAGE as fallback for discovering
  the ENCODING for printing.
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_lib> to <ghostscript-library>
- changed neededforbuild <gs_serv> to <ghostscript-serv>
* Tue Apr 24 2001 - werner@suse.de
- No mono queue if we're handle upp (bug#7138)
* Thu Apr 19 2001 - werner@suse.de
- Use ogonkify for Euro sign if ISO-8859-15 aka latin9 is used
* Tue Apr 17 2001 - werner@suse.de
- Add and use unpjl
- Use stdin only
- Disable default escape sequences for raw queue
- Check for grep version after sourcing profile
- Insert a clear notice about the SuSE version of apdfilter
* Thu Mar 22 2001 - ke@suse.de
- Add date info to notify message [#6407].
* Fri Mar 09 2001 - ro@suse.de
- added xf86 to neededforbuild
* Fri Jan 12 2001 - werner@suse.de
- Correct name of signal in apsfilter trap
* Tue Jan 09 2001 - werner@suse.de
- Correction within online documentation
* Mon Jan 08 2001 - werner@suse.de
- Hold SETUP uptodate with filter script
- make makeresol knowing new stp sub models
- Use DEFAULT_LANGUAGE instead of LANGUAGE
* Wed Dec 13 2000 - werner@suse.de
- Enable `-' within QUEUE names
- Don't force name lp for the first printer queue if name is set
- Few changes within SETUP text
* Wed Nov 29 2000 - werner@suse.de
- Fix DEVICE setting for builtin lexmark printers (bug#4451)
* Wed Nov 29 2000 - werner@suse.de
- Fix IFS setting (bug#4449)
* Sat Nov 25 2000 - bk@suse.de
- pnm2ppa: Add "-f /etc/pnm2ppa.conf" if readable(honor offsets when
  if -v option is given). Prefer /etc/pnm2ppa-$QUEUE.conf or
  /etc/pnm2ppa-$model.conf over /etc/pnm2ppa.conf if they are readable.
* Tue Nov 21 2000 - werner@suse.de
- Suppress always headers for remote bypass
- Add bzip2 uncompressor
- Be careful if no options are give for POSTFILTER
* Mon Nov 20 2000 - werner@suse.de
- Add POSTFILTER scan for yast upp files and do a OUTPIPE therefore
- Don't overwrite names of -N with ascii, auto, raw, or remote
- Add all possible devices to SETUP/lprsetup
- Add all possible devices to documentation
- Restore PATH after sourcing /etc/rc.config
* Fri Nov 17 2000 - werner@suse.de
- Add various post filters, new devices, and interface to
  define a model of the meta drivers hpdj and stp:
  * hpdj_* with the model after the underscore
  * stp_*  with the model after the first underscore, any `-' within
  the models name has to be replaced by a underscore.
  * All models supported by pnm2ppa   (ppa*)
  * Lexmark 7000, 5700, 3200, and 2050 supported by gs
  since SuSE Linux 7.1 (lex7000, lex7000, lex5700, lex3200, lex2050)
  * Lexmark Z11          (lexZ11)
  * Lexmark 2070         (lex2070)
  * Lexmark 1100         (lex1100)
  * Lexmark 2030         (lex2030)
  * Lexmark 7200 by the old pbm2l7k post filter (lex7200)
  * Canon Laser using CaPSL (see lbp8 and lips3 gs devices) (cjet)
  * Citizen Printiva printers (cpva)
  * Apple StyleWriter printers (stylps)
* Mon Nov 13 2000 - kukuk@suse.de
- Fix Requires field
- Add Group tag
* Tue Oct 17 2000 - werner@suse.de
- All messages from files being sourced are send to stderr
- Be able to set default encoding if /etc/rc.config is not readable
* Thu Oct 05 2000 - werner@suse.de
- Try to close `-' handling for remote printer setup
- Add papersize calculation and dpi setting for pnmtops
- Add changes from lars to apsfilterrc template
* Thu Jul 13 2000 - werner@suse.de
- move `;' from variable evaluation to the definition of the variable
  to avoid broken pipe if the variable isn't set.
* Mon Jul 10 2000 - werner@suse.de
- Fix bug in grepping out commented lines of preloaded files
- Make debugging with output files easier
* Fri Jul 07 2000 - werner@suse.de
- Make update mechanism compatible with rpm, yast and yast2
* Mon Jul 03 2000 - werner@suse.de
- Fix moving directory trouble (pre, post ... triggerpostun)
* Tue Jun 20 2000 - werner@suse.de
- Add output encoding for recode (some printers do not use ibmpc)
- Add new drivers of ghostscript
* Tue Jun 20 2000 - werner@suse.de
- Integrate patches done for 1.7
- Increase version: SuSE-1.8
- fix ascii (gzip data and LPERSON, FEATURES)
- add -R for dvips
- rw for gid lp for accounting
- fix some nasty bugs in SETUP
- change docs
* Wed May 24 2000 - kasal@suse.de
- move /usr/doc to /usr/share/doc
* Wed May 24 2000 - kendy@suse.cz
- support for ISO-8859-2 encoding
* Wed Mar 08 2000 - werner@suse.de
- /etc/lilo.conf is type ascii
* Wed Mar 01 2000 - kasal@suse.de
- aps should not own /var/spool/lpd, it's in aaa_dir
* Fri Feb 25 2000 - werner@suse.de
- Two bug fixes
  * Make delete of YaST2 entries work
  * Read the correct apsfilterrc for PostScript printers of YaST2
* Tue Feb 08 2000 - werner@suse.de
- Add some Lexmark printers in the description
- Do not allow configurable names with `-' in our queue names
  (causes trouble with apsfiler script)
- Add some more comments within apsfilterrc files
- Do not write on /dev/console but use logger instead
* Mon Feb 07 2000 - werner@suse.de
- Handle real PostScript[tm] printers even if a parameter file
  is used (-sDEVICE=PS).
* Fri Feb 04 2000 - werner@suse.de
- Fix: different spool directories for different queue names
* Thu Feb 03 2000 - werner@suse.de
- Many changes for YaST2 printer configuration interface
  * we now handle parameter files out of /etc/gs.upp/
  * shorter link and spool names because we read these files
  * adapted setup for this case
- Change the generation of file resolutions, we now seek for
  all possible *.upp files in load path of gs
* Tue Feb 01 2000 - werner@suse.de
- If the final pipe commando fails we should exit with status 2
- Write mail if pipe commando fails
- Do not write to /dev/console but use logger to complain
- Fix some spelling errors
* Thu Jan 27 2000 - werner@suse.de
- Increase version: SuSE-1.7
- Many new features
- Make configuration interface more handy
* Tue Nov 30 1999 - werner@suse.de
- Better version of SETUP and resolutions to have a better
  support of lexmark printers
* Mon Oct 25 1999 - werner@suse.de
- Disable bash builtin printf due to a buggy interpretation
  of some backslashed sequences.
* Mon Oct 18 1999 - werner@suse.de
- Add a workaround for lpd daemons which add a space between
  the option and its argument.
* Thu Sep 23 1999 - werner@suse.de
- Requires: replace mgetty with g3utils
* Tue Sep 21 1999 - werner@suse.de
- Fix gzip handling of ascii data
* Mon Sep 20 1999 - ro@suse.de
- added requires print_daemon ghostscript_any
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Aug 12 1999 - werner@suse.de
- Detect GNU grep version to set `-a' if version is equal or
  greater than 2.3
* Sat Aug 07 1999 - bs@suse.de
- dropped changes for grep (we switched back to 2.2).
* Fri Aug 06 1999 - werner@suse.de
- New GNU grep 2.3 breaks old UNIX grep behavior: binary
  data isn't given back to stdout.  Add `-a' to all
  grep calls to re-enable the correct behavior!
- Set a title for ascii data if not stdin.
* Mon Jul 19 1999 - werner@suse.de
- Change FEATURE from 2n to 1n to avoid stupid questions.
- We send a mail at update to avoid semi stupid questions.
* Thu Jun 17 1999 - werner@suse.de
- Support post filter for lexmark 7000 and 5700 (pbm2l7k)
- Do not read link to stdin if not readable but rewind stdin
- Use pbmraw for pbm2ppa
* Thu Jun 10 1999 - werner@suse.de
- Bug fix in SETUP::do_bypass to avoid row overflow
* Tue Jun 01 1999 - werner@suse.de
- Small bug fix makes LPRng work
- Enable encript for ascii to PS
* Wed May 26 1999 - werner@suse.de
- Full raw output should be used for a remote printer
* Mon Apr 19 1999 - werner@suse.de
- Use PRINT_RAW aka fd 3 for ppa
* Fri Apr 16 1999 - werner@suse.de
- use $UID instead of $(whoami)
* Thu Mar 11 1999 - werner@suse.de
- Kernel 2.2.xx means default /dev/lp0
- Add :cl: and :tr=: to printcap entries
  * cl is supported by plp to close the device between jobs
  * :tr=: is already the default and maybe useful for some
  printers to be \004 (Ctrl-D)
- Link /var/lib/apsfilter/SETUP to /usr/sbin/lprsetup
- Correct some spellings
- Support multiple queues of identical printer engines
* Wed Feb 17 1999 - werner@suse.de
- New version 1.6.SuSE
* Mon Nov 02 1998 - werner@suse.de
- Remember to remove temporary files
* Mon Oct 05 1998 - werner@suse.de
- Small work around for plp lpd bug
* Mon Sep 07 1998 - werner@suse.de
- Small fix for using recode instead of a2ps
* Wed Aug 26 1998 - werner@suse.de
- Add option -l to lpr for raw streams to remote printer
- Handle zsh/ash/ae script magics
* Tue Aug 25 1998 - werner@suse.de
- PRELOAD bug in apsfilter script fixed
* Sun Aug 23 1998 - bs@suse.de
- fixed 'neededforbuild'
- fixed file list
* Fri Aug 21 1998 - werner@suse.de
- fix dangling symbolic link
* Thu Aug 06 1998 - werner@suse.de
- Close pic and troff commands and file operations
* Fri Jul 17 1998 - werner
- use mktemp for our temporary files
* Tue Jul 14 1998 - 
- New version 1.5.SuSE
  * Add two simple script for remote printing via samba or novell
  network connetions.
  * Support scripts or programs as replacement of remote printer
  queues
* Mon Jun 29 1998 - werner@suse.de
- New version 1.4.SuSE
  * Always and better scanning of cf files
  * Get the correct name of the current input even with BSD-lpd
  * First try of page accounting with gs together with -dSAFER
  * Security fixes: remove temporary files before first access
* Thu May 14 1998 - werner@suse.de
- New version 1.3.SuSE
  * Some small bug fixes
  * Added post processor pbm2ppa for HP 720/820/1000 support
* Thu Apr 02 1998 - werner@suse.de
- New version 1.2.SuSE
  * Unwanted qutput of gs redirekted to stderr ... therefore any
  message of gs will be placed in log file of the printer spooler
  * Fixed one job but two files problem for BSD spooler ... we get
  only one name for all files in the ascii queue if BSD lpr is used.
  * Fix harmless typo
* Mon Mar 23 1998 - werner@suse.de
- Fix a fix for remote printing raw data
* Wed Mar 04 1998 - werner@suse.de
- Make filter/data and filter/raw working with remote printer
* Wed Feb 25 1998 - werner@suse.de
- New version 1.1.SuSE
  * Fix in fast delete mode
  * Missing bmp filter is now installed
  * Fix tumbleoff switch
  * Make g3 filter more easy
  * Move `-8' and `-nP' from the standard options
  to the basic optionis of a2ps.
* Fri Dec 19 1997 - werner@suse.de
- New version 1.0.SuSE
* Thu Oct 16 1997 - werner@suse.de
- New version 0.9.SuSE
* Tue Jul 29 1997 - werner@suse.de
- New version 0.3a.SuSE: fix fault handlers
  * Remove GS_FEATURE default "-BitsPerPixel=1" because
  some drivers crashes on it (against devices.txt!)
  * Some small changes in SETUP
* Wed Jul 23 1997 - werner@suse.de
- New version 0.3.SuSE: fix fault handlers
  ... now a missing filter will cause a mail
* Mon Jun 30 1997 - werner@suse.de
- Remove fifo for stdin of dvips under new libc
  because of a core dump.
* Thu Jun 26 1997 - werner@suse.de
- New version 0.2.Suse: using fifo for stdin of dvips,
  using /dev/fd/1 as stdout for pdf2ps, using some sub
  shell for saving memory, add new gs device hpdj.
- Add hpdj to resolutions data base for YaST
* Wed Jun 18 1997 - werner@suse.de
- Some fixes in apsfilter script
- Generate a resolutions data base for YaST
- Add a script testlp to determine printer device file
* Tue May 13 1997 - werner@suse.de
- Fixes in SETUP
* Mon May 12 1997 - werner@suse.de
- fixes for bash-2.0
* Fri Apr 25 1997 - werner@suse.de
- New version: S.u.S.E.-Version 0.1 based on apsfilter-4.9
- Should be compatible with old printcap entries
- New syntax in SETUP, new filter script, new handling
  of options given by lpd.
* Thu Jan 02 1997 - werner@suse.de
- Fix in der Auswertung von Stdin-Ascii
  * 26.08.96: (4.9.1)
- Anpassung an gs4.01
- Viele nderungen.
- Bessere Auswertung von GS_RESOL
  bei dvips.
